#!/bin/bash

set -ex

PLUGIN_COMMAND=${PLUGIN_COMMAND:?command is not set}

ABRA=/root/.local/bin/abra

output_versions(){
  echo "--- start versions"
  $ABRA -v
  echo "--- end versions"
}

run_abra_cmd() {
  echo "--- start command ---"

  # shellcheck disable=SC2086
  $ABRA $PLUGIN_COMMAND

  echo "--- end command ---"
}

run_plugin() {
  echo "--- start drone-abra ---"
  output_versions
  run_abra_cmd
  echo "--- end drone-abra ---"
}

run_plugin
